OpenVDB: NodeList< NodeT >::NodeRange::Iterator Class Reference

OpenVDB 5.0.0

Public Member Functions | List of all members
NodeList< NodeT >::NodeRange::Iterator Class Reference

`#include <NodeManager.h>`

## Public Member Functions
| Iterator (const NodeRange &range, size_t pos)
| Iterator (const Iterator &)=default
Iterator & | operator= (const Iterator &)=default
Iterator & | operator++ ()
| Advance to the next node. More...
NodeT & | operator* () const
| Return a reference to the node to which this iterator is pointing. More...
NodeT * | operator-> () const
| Return a pointer to the node to which this iterator is pointing. More...
size_t | pos () const
| Return the index into the list of the current node. More...
bool | isValid () const
bool | test () const
| Return `true` if this iterator is not yet exhausted. More...
| operator bool () const
| Return `true` if this iterator is not yet exhausted. More...
bool | empty () const
| Return `true` if this iterator is exhausted. More...
bool | operator!= (const Iterator &other) const
bool | operator== (const Iterator &other) const
const NodeRange & | nodeRange () const

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

Iterator | ( | const NodeRange & | range,
|  | size_t | pos
| ) |  |
| inline

## ◆ Iterator() [2/2]

Iterator | ( | const Iterator & |  | ) |
| default

## Member Function Documentation

## ◆ empty()

bool empty | ( |  | ) | const
| inline

Return `true` if this iterator is exhausted.

## ◆ isValid()

bool isValid | ( |  | ) | const
| inline

## ◆ nodeRange()

const NodeRange& nodeRange | ( |  | ) | const
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

## ◆ operator!=()

bool operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

NodeT& operator* | ( |  | ) | const
| inline

Return a reference to the node to which this iterator is pointing.

## ◆ operator++()

Iterator& operator++ | ( |  | ) |
| inline

Advance to the next node.

## ◆ operator->()

NodeT* operator-> | ( |  | ) | const
| inline

Return a pointer to the node to which this iterator is pointing.

## ◆ operator=()

Iterator& operator= | ( | const Iterator & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ pos()

size_t pos | ( |  | ) | const
| inline

Return the index into the list of the current node.

## ◆ test()

bool test | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

The documentation for this class was generated from the following file:

- NodeManager.h